internal::init_output_ports< OutputTuple > Struct Template Reference

`#include <_flow_graph_node_impl.h>`

Collaboration diagram for internal::init_output_ports< OutputTuple >:

## Static Public Member Functions

template<typename... Args>
static OutputTuple | call (graph &g, const tbb::flow::tuple< Args... > &)

## Detailed Description

### template<typename OutputTuple>
struct internal::init_output_ports< OutputTuple >

Definition at line 563 of file _flow_graph_node_impl.h.

## Member Function Documentation

## call()

template<typename OutputTuple >
template<typename... Args>

static OutputTuple internal::init_output_ports< OutputTuple >::call | ( | graph & | g,
|  | const tbb::flow::tuple< Args... > & |
| ) |  |

inline static

Definition at line 566 of file _flow_graph_node_impl.h.

{
return OutputTuple(Args(g)...);
}

The documentation for this struct was generated from the following file:

- _flow_graph_node_impl.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.